/* 
*/
* {
/*    box-sizing: border-box; */
    margin: 0;
    padding: 0;
}

body {
margin: 0;
padding: 0;
border: 0;
overflow: auto;
height: 100%; 
max-height: 100%; 
font-family: verdana, arial, helvetica;
background-image: url('/pics/bg_1.avif');
background-repeat: no-repeat;
}

a {
text-decoration: none;
color: saddlebrown; 
font-weight: 700;    
}

.container {
    display: flex;
    height: auto;
    padding-bottom: 5px;
}

/* Navigation links */
.nav {
    width: 200px;
    height: auto;
    background: rgb(255,215,0,0.5);
    color: white;
    padding: 10px;
    text-align: center;
}

/* rechter Bereich */
.content {
    flex: 1;
    display: flex; 
    flex-direction: column;
}

.top {
    flex: 1;
    background: rgb(255,215,0,0.5);
    padding: 10px;
}

.bottom {
    flex: 1;
    background: rgb(255,215,0,0.5);
    padding: 20px;
}

/* 📱 Mobile Ansicht */
@media (max-width: 768px) {

    .app {
        flex-direction: column; /* Navigation kommt nach oben */
    }

    .nav {
        width: 100%;
        height: auto;
    }

    .content {
        flex: 1;
    }

    .top,
    .bottom {
        flex: none;
        min-height: 200px;
    }
}

* html body { /*IE6 hack*/
padding: 120px 0 0 200px; /*Set value to (HeightOfTopFrameDiv 0 0 WidthOfLeftFrameDiv)*/
}

* html { /*IE6 hack*/
height: 100%; 
width: 100%; 
}

* html  { /*IE6 hack*/
width: 100%;
}
h1, h2, h3, h4 {
padding-bottom: 25px;
}

#navi {
margin: 0;
padding: 0;
list-style-type: none;
text-align: center;
} 

#nav a {
font-family: Verdana;
font-size: 18px;
font-weight: bold;
text-decoration: none;
width: auto;
height: auto;
display: block;
color: darkgray;
background: rgb(255,215,0,0.5);
text-align: center;
line-height: 25px;
border-bottom: 1px solid #fff;
} 

#nav a:visited {
color: burlywood;
}

#nav a:hover {
background: rgb(211,175,55,0.5);
} 

table.mytable {
#width: 100%;
border-collapse: collapse;
#border-spacing: 2px;
margin: 0px;
}

table.mytable th {
border: 1px solid black;	
text-align: center;
vertical-align: top;
}

table.mytable tr {
vertical-align: top;
}

table.mytable td {
border: 3px double grey;        
padding-left: 5px;
padding-right: 5px;
}

/* spaltenausrichtung */
table.mytable td:nth-child(7), table.mytable td:nth-child(8)  {
text-align: right;
}

/* eine zeile hell - eine zeile dunkel */
table.mytable tr:nth-child(1n+2) {
	background-color:burlywood;
}

table.mytable tr:nth-child(2n+3) {
	background-color:chocolate;
}
/* eine zeile hell - eine zeile dunkel  ende */

form {
  background-color: #eee;
  padding: 2px;
  width: 100%; /* Breite des Formulars */  
  border: 1px solid #8c8c8c;
}

.markiert { background-color: #B22222; } /* markiert geloeschte belege */

/* ende */

.arrow {
	display: block;
	width: 20px;
	height: 4px;
	background: #b84905;
	position: relative;
}
.arrow.right {
	width: 17.5px;
}
.arrow.left:before {
	content: ' ';
	width: 0px;
	height: 0px;
	border-top: 6.5px solid transparent;
	border-bottom: 6.5px solid transparent;
	border-right: 6.5px solid #b84905;
	position: absolute;
	transform: translate(-3px,-4px);
}
.arrow.nicetip {
	border-radius: 5px;
}
.arrow.left.nicetip .tip, .arrow.right.nicetip .tip {
	display: block;
	width: 10px;
	height: 4px;
	position: absolute;
	transform: translate(-2.5px,-2.5px) rotate(-45deg);
	border-radius: 5px;
	background: #b84905;
}
.arrow.left.nicetip:before, .arrow.right.nicetip:before {
	content: ' ';
	display: block;
	position: absolute;
	width: 10px;
	height: 4px;
	transform: translate(-2.5px,2.5px) rotate(45deg);
	border-radius: 5px;
	background: #b84905;
	border: 0px;
}
.arrow.right:before {
	content: ' ';
	width: 0px;
	height: 0px;
	border-top: 6.5px solid transparent;
	border-bottom: 6.5px solid transparent;
	border-left: 6.5px solid #b84905;
	position: absolute;
	transform: translate(17px,-4px);
}
.arrow.right.nicetip .tip {
	transform: translate(12.5px,-2.5px) rotate(45deg);
}
.arrow.right.nicetip:before {
	transform: translate(12.5px,2.5px) rotate(-45deg);
}
.arrow.down {
	transform: rotate(-90deg);
}
.arrow.up {
	transform: rotate(90deg);
}

#status {
color: red;
}

fieldset, form fieldset {
width: 98%;
padding-left: 20px;
}

form label {
    display: block;
    font-size: 1.2em;
    color: darkslategrey;
    padding-top: 15px;
    padding-left: 10px;
}

input,
textarea {
    width: 90%;
    height: 5em;
    font-size: 1.1em;
    padding: 4px;
    font-family: inherit;
    font-weight: lighter;
    border-radius: 0.3em;
    border: 1px solid gray;
    outline: none;
}

input[type="checkbox"] {
    appearance: none;	
    width: 30px;
    height: 30px;
    font-size: 1.1em;
    padding: 4px;
    font-family: inherit;
    font-weight: lighter;
    border-radius: 0.3em;
    border: 1px solid gray;
    outline: none;
}

input[type=checkbox]:checked {
   background: gray;
   background-image: url(/pics/haekchen.svg);
}
input:focus,
textarea:focus {
    border: 2px solid orange;
}

input[type="submit"] {
   font-size: 1.3em; padding: 5px 12px;
   font-family: Roboto, sans-serif;
   font-weight: 300;
   color: teal;
   border: 1px solid silver;
   background-image: linear-gradient(to top, gainsboro 0%, white 90%);
   border-radius: 20px;
}

.scroll-top {
  --size: 40px;
  position: fixed;
  left: 10px;
  bottom: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  width: var(--size);
  height: var(--size);
  text-decoration: none;
}
.scroll-top__circle {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transform: rotate(-90deg);
  pointer-events: none;
  paint-order: stroke;
}
.scroll-top__progress {
  fill: none;
  stroke: currentColor;
  stroke-width: 2; /* Pay attention to the radius */
}
